Bug 851702 - Review Request: python-acoustid - Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Review Request: python-acoustid - Python bindings for Chromaprint acoustic fi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 851701
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 14:00 EDT by Terje Røsten
Modified: 2012-09-26 05:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 02:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2012-08-24 14:00:54 EDT
spec: http://terjeros.fedorapeople.org/python-acoustid/python-acoustid.spec
srpm: http://terjeros.fedorapeople.org/python-acoustid/python-acoustid-0.7-1.fc16.src.rpm

description:
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint lookups.

fas: terjeros
Comment 1 Mario Blättermann 2012-08-27 11:53:11 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4426387

$ rpmlint -i -v *
python-acoustid.src: I: checking
python-acoustid.src: W: spelling-error %description -l en_US Chromaprint -> Chromatin
The value of this tag appears to be misspelled. Please double-check.

python-acoustid.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

python-acoustid.src: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

python-acoustid.src: I: checking-url http://pypi.python.org/pypi/pyacoustid (timeout 10 seconds)
python-acoustid.src: E: non-utf8-spec-file /tmp/rpmlint.python-acoustid-0.7-1.fc16.src.rpm.joHzOO/python-acoustid.spec
The character encoding of the spec file is not UTF-8.  Convert it for example
using iconv(1).

python-acoustid.src: I: checking-url http://pypi.python.org/packages/source/p/pyacoustid/pyacoustid-0.7.tar.gz (timeout 10 seconds)
python-acoustid.noarch: I: checking
python-acoustid.noarch: W: spelling-error %description -l en_US Chromaprint -> Chromatin
The value of this tag appears to be misspelled. Please double-check.

python-acoustid.noarch: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

python-acoustid.noarch: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

python-acoustid.noarch: I: checking-url http://pypi.python.org/pypi/pyacoustid (timeout 10 seconds)
python-acoustid.spec: E: non-utf8-spec-file python-acoustid.spec
The character encoding of the spec file is not UTF-8.  Convert it for example
using iconv(1).

python-acoustid.spec: I: checking-url http://pypi.python.org/packages/source/p/pyacoustid/pyacoustid-0.7.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 4 errors, 4 warnings.


Spelling errors are false positive, only "lookup" could be changed to "look up". But the latter is not widely used actually.

Your package looks almost fine regarding the contents itself, but you have to change the character encoding. Currently it is ISO-8859-15, but has to be UTF-8 in any case. The "ø" in your name is also available in UTF-8. Please convert, and your package is ready for a full review.
Comment 2 Terje Røsten 2012-08-27 12:54:26 EDT
Thanks, updated package:

- Convert spec to utf-8
- Fix spelling

spec: http://terjeros.fedorapeople.org/python-acoustid/python-acoustid.spec
srpm: http://terjeros.fedorapeople.org/python-acoustid/python-acoustid-0.7-2.fc16.src.rpm
Comment 3 Mario Blättermann 2012-08-31 14:03:04 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4442243

$ rpmlint -i -v *
python-acoustid.src: I: checking
python-acoustid.src: W: spelling-error %description -l en_US Chromaprint -> Chromatin
The value of this tag appears to be misspelled. Please double-check.

python-acoustid.src: I: checking-url http://pypi.python.org/pypi/pyacoustid (timeout 10 seconds)
python-acoustid.src: I: checking-url http://pypi.python.org/packages/source/p/pyacoustid/pyacoustid-0.7.tar.gz (timeout 10 seconds)
python-acoustid.noarch: I: checking
python-acoustid.noarch: W: spelling-error %description -l en_US Chromaprint -> Chromatin
The value of this tag appears to be misspelled. Please double-check.

python-acoustid.noarch: I: checking-url http://pypi.python.org/pypi/pyacoustid (timeout 10 seconds)
python-acoustid.spec: I: checking-url http://pypi.python.org/packages/source/p/pyacoustid/pyacoustid-0.7.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

No recognizable issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    ad1d15773a776d7880350062131f055e260f4c39135cfcc1cfbfdbcbfc08f2ef  pyacoustid-0.7.tar.gz
    ad1d15773a776d7880350062131f055e260f4c39135cfcc1cfbfdbcbfc08f2ef  pyacoustid-0.7.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 4 Terje Røsten 2012-09-11 04:07:54 EDT
Sorry, I seems to have forgot thar this package was approved. 

Thanks for the review!

New Package SCM Request
=======================
Package Name: python-acoustid
Short Description: Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API 
Owners: terjeros
Branches: f16 f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-09-11 08:13:04 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-11 15:57:22 EDT
python-acoustid-0.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-acoustid-0.7-2.fc17
Comment 7 Fedora Update System 2012-09-11 15:57:33 EDT
python-acoustid-0.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-acoustid-0.7-2.fc18
Comment 8 Fedora Update System 2012-09-11 15:57:43 EDT
python-acoustid-0.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-acoustid-0.7-2.fc16
Comment 9 Fedora Update System 2012-09-12 15:13:37 EDT
python-acoustid-0.7-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-09-25 02:23:10 EDT
python-acoustid-0.7-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2012-09-26 04:56:38 EDT
python-acoustid-0.7-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-09-26 05:14:31 EDT
python-acoustid-0.7-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.